Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025219
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2013-11-26 18:092013-11-28 19:57
ReportergorkaionView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0MP30
StatusclosedFix in branchFixed in SCM revision758083712c64
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.5.0_15
OS VersionGentooDatabase versionAnt version1.7.0
Product Version3.0MP29.1SCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025219: XSQL in PG not ready for procedures with 2 or more out parameters

DescriptionThe ReservationUtils.reallocateStock() method calls a stored procedure with 2 out parameters. This method fails when using postgresql.

There are 2 utility methods to call stored procedures from java:
Xsql: fails in postgresql with 2 or more out parameters
CallStoredProcedure: fails in any database with 2 or more parameters.

As xsql is a legacy process CallStoredProcedure should be adapted to allow 2 or more out parameters.
Steps To ReproduceModify ReservationUtils.reallocateStock() method to use CallStoredProcedure.call instead of xsql method.

Create a java process that uses this method.

There is a process in Warehouse Picking module (version 1.4.1 or newer) that uses this method. Ping me for details on this module to reproduce the error using it.
Proposed SolutionModify ReservationUtils.reallocateStock() to use CallStoredProcedure.
Modify CallStoredProcedure.call() to allow 2 or more out parameters.
TagsNo tags attached.
Attached Filesdiff file icon xsqloutparameter.diff [^] (1,088 bytes) 2013-11-26 18:48 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062385)
gorkaion (developer)
2013-11-26 18:48

The xsql case can be adapted with the attached patch. Note that the patch has not been properly tested.
(0062397)
alostale (developer)
2013-11-27 11:07

Applying proposed patch that fixes xsql instead of CallStoredProcedure
(0062399)
hgbot (developer)
2013-11-27 11:20

Repository: erp/devel/pi
Changeset: 758083712c6440637a7314822213f6ede6afc9ff
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Nov 27 11:18:18 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/758083712c6440637a7314822213f6ede6afc9ff [^]

fixed bug 25219: support for more than 1 out param in PG xsql for stored procs

---
M src-core/src/org/openbravo/database/RDBMSIndependent.java
---
(0062400)
alostale (developer)
2013-11-27 11:20

Tested with existent xsql calls to procedures with 1 and more out params
(0062464)
hudsonbot (developer)
2013-11-28 19:57

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ce703e5082ac [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-26 18:09 gorkaion New Issue
2013-11-26 18:09 gorkaion Assigned To => AugustoMauch
2013-11-26 18:09 gorkaion Modules => Core
2013-11-26 18:09 gorkaion Triggers an Emergency Pack => No
2013-11-26 18:48 gorkaion Note Added: 0062385
2013-11-26 18:48 gorkaion File Added: xsqloutparameter.diff
2013-11-27 11:06 alostale Assigned To AugustoMauch => alostale
2013-11-27 11:07 alostale Note Added: 0062397
2013-11-27 11:07 alostale Summary CallStoredProcedure not ready for procedures with 2 or more out parameters => XSQL in PG not ready for procedures with 2 or more out parameters
2013-11-27 11:20 hgbot Checkin
2013-11-27 11:20 hgbot Note Added: 0062399
2013-11-27 11:20 hgbot Status new => resolved
2013-11-27 11:20 hgbot Resolution open => fixed
2013-11-27 11:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/758083712c6440637a7314822213f6ede6afc9ff [^]
2013-11-27 11:20 alostale Note Added: 0062400
2013-11-27 11:20 alostale Review Assigned To => alostale
2013-11-27 11:20 alostale Status resolved => closed
2013-11-27 11:20 alostale Fixed in Version => 3.0MP30
2013-11-28 19:57 hudsonbot Checkin
2013-11-28 19:57 hudsonbot Note Added: 0062464


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker